# ReflectionMethod::isProtected

(PHP 5, PHP 7)

ReflectionMethod::isProtected — Checks if method is protected

### Description

public ReflectionMethod::isProtected ( void ) : bool

Checks if the method is protected.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the method is protected, otherwise `FALSE`

### See Also

- ReflectionMethod::isPrivate() - Checks if method is private